Bug 201693 - [PATCH] astro/google-earth; Allow installation with nvidia legacy drivers
Summary: [PATCH] astro/google-earth; Allow installation with nvidia legacy drivers
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ben Woods
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-19 18:30 UTC by Chris
Modified: 2016-08-24 16:24 UTC (History)
1 user (show)

See Also:


Attachments
Patch for astro/google-earth (1.55 KB, patch)
2015-07-19 18:30 UTC, Chris
no flags Details | Diff
Poudriere testport log (28.86 KB, text/x-log)
2015-07-19 18:30 UTC, Chris
no flags Details
Patch for astro/google-earth (1.64 KB, patch)
2015-08-25 23:02 UTC, Chris
no flags Details | Diff
Patch for astro/google-earth (2.18 KB, patch)
2015-08-27 17:44 UTC, Chris
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris 2015-07-19 18:30:07 UTC
Created attachment 158974 [details]
Patch for astro/google-earth

Currently this port cannot be installed with any of the legacy NVIDIA drivers. This patch add the necessary options to select the correct legacy driver.

It would be probably a better idea to have a DEFAULT_VERSION switch in the infrastructure to handle this rather than to put this in the port itself.
Comment 1 Chris 2015-07-19 18:30:44 UTC
Created attachment 158975 [details]
Poudriere testport log
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2015-07-20 18:20:24 UTC
Assign to maintainer.  Note that maintainer is currently taking a break, so anyone should feel free to commit this.
Comment 3 Chris 2015-08-25 23:02:47 UTC
Created attachment 160362 [details]
Patch for astro/google-earth

Update patch for current version
Comment 4 Chris 2015-08-27 17:44:34 UTC
Created attachment 160419 [details]
Patch for astro/google-earth

I missed the post-patch lines
Comment 5 commit-hook freebsd_committer 2016-08-24 15:43:48 UTC
A commit references this bug:

Author: woodsb02
Date: Wed Aug 24 15:43:30 UTC 2016
New revision: 420803
URL: https://svnweb.freebsd.org/changeset/ports/420803

Log:
  astro/google-earth: Allow installation with NVIDIA legacy drivers

  PR:		201693
  Submitted by:	cmangin@arobas.net
  Approved by:	adamw (mentor)
  Differential Revision:	https://reviews.freebsd.org/D7629

Changes:
  head/astro/google-earth/Makefile
Comment 6 Ben Woods freebsd_committer 2016-08-24 15:44:06 UTC
Committed - thanks very much for the submission Chris, and sorry for the delay in getting it committed.
Comment 7 commit-hook freebsd_committer 2016-08-24 16:24:52 UTC
A commit references this bug:

Author: woodsb02
Date: Wed Aug 24 16:24:14 UTC 2016
New revision: 420805
URL: https://svnweb.freebsd.org/changeset/ports/420805

Log:
  astro/google-earth: Fix post-patch related to NVIDIA options post r420803

  PR:		201693
  Approved by:	adamw (mentor)
  Differential Revision:	https://reviews.freebsd.org/D7636

Changes:
  head/astro/google-earth/Makefile